Bug 680290 - setup-ds.pl should set SuiteSpotGroup automatically when it is not specified
setup-ds.pl should set SuiteSpotGroup automatically when it is not specified
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
: screened
Depends On:
Blocks: 680575 681345
  Show dependency treegraph
 
Reported: 2011-02-24 17:47 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:46 EST (History)
5 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.8-0.6.rc1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 681345 (view as bug list)
Environment:
Last Closed: 2011-05-19 08:42:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2011-02-24 17:47:06 EST
setup-ds.pl should set SuiteSpotGroup automatically when it is not specified -- during silent install

ds acceptance tests for example do not specify SuiteSpotGroup explicitly and they have started failing recently.
Comment 2 Nathan Kinder 2011-03-01 16:53:32 EST
Pushed to 389-ds-base-1.2.8 branch.

Counting objects: 15, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (8/8), 1.31 KiB, done.
Total 8 (delta 6), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   3b33ef4..a36c6df  128-local -> 389-ds-base-1.2.8
Comment 3 Rich Megginson 2011-03-02 22:50:21 EST
master:
commit e3c72d0a20a21c12db71f0ddf84717f428b24ac7
Author: Nathan Kinder <nkinder@redhat.com>
Date:   Tue Mar 1 13:30:19 2011 -0800
Comment 5 Amita Sharma 2011-04-15 03:36:23 EDT
Tested the bug with below steps :
1. Created the inf file with setup.pl -k, having -
SuiteSpotGroup = amita
SuiteSpotUserID = amita

2. Installed the DS instance using above created inf file with silent option
setup-ds.pl -s -f /home/amsharma/setupDS.inf

3. checked the instance files ownership-
cd /var/lib/dirsrv/slapd-amitesthost
[root@amitesthost slapd-amitesthost]# ls -alrt
total 20
drwxr-xr-x. 3 root  root  4096 Apr 15 13:07 ..
drwxrwx---. 2 amita amita 4096 Apr 15 13:07 ldif
drwxrwx---. 2 amita amita 4096 Apr 15 13:07 bak
drwxrwx---. 5 amita amita 4096 Apr 15 13:07 .
drwxrwx---. 3 amita amita 4096 Apr 15 13:07 db

[root@amitesthost slapd-amitesthost]# cd /var/lock/dirsrv/slapd-amitesthost
[root@amitesthost slapd-amitesthost]# ls -alrt
total 20
drwxr-xr-x. 3 root  root  4096 Apr 15 13:07 ..
drwxr-xr-x. 2 amita amita 4096 Apr 15 13:07 exports
drwxr-xr-x. 2 amita amita 4096 Apr 15 13:07 imports
drwxr-xr-x. 2 amita amita 4096 Apr 15 13:07 server
drwxrwx---. 5 amita amita 4096 Apr 15 13:07 .

Bug is VERIFIED.
Comment 6 errata-xmlrpc 2011-05-19 08:42:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0533.html

Note You need to log in before you can comment on or make changes to this bug.